<?php

declare (strict_types=1);
namespace GuardDog\Vendor\Cose\Algorithm\Mac;

use GuardDog\Vendor\Cose\Algorithm\Algorithm;
use GuardDog\Vendor\Cose\Key\Key;
interface Mac extends Algorithm
{
    public function hash(string $data, Key $key): string;
    public function verify(string $data, Key $key, string $signature): bool;
}
